Skip to main content
GET
/
jobs
/
{job_id}
/
images
/
{s3_object}
Get Image
curl --request GET \
  --url https://api.crosoftware.com/v0/jobs/{job_id}/images/{s3_object} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
import requests

url = "https://api.crosoftware.com/v0/jobs/{job_id}/images/{s3_object}"

headers = {
    "x-tenant-id": "<x-tenant-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.crosoftware.com/v0/jobs/{job_id}/images/{s3_object}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "height": 123,
  "id": 123,
  "s3_object": "<string>",
  "url": "<string>",
  "width": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string

Version identifier (date format).

x-tenant-id
integer<int64>
required

Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.

Path Parameters

job_id
integer<int64>
required

Job identifier.

s3_object
string
required

S3 filename.

Response

200 - application/json

Success

Image profile.

height
integer
required

Image height.

id
integer<int64>
required

Image record identifier.

s3_object
string
required

S3 filename.

url
string
required

Image URL (expires).

width
integer
required

Image width.